import 'package:sqflite/sqflite.dart';
import 'package:yoshi_papas_app/services/repo_service.dart';

import '../models/models.dart';

class ProductosService {
  Future<bool> isDatabaseEmpty() async {
    final dbClient = await RepoService().db;
    final categoriaCount = Sqflite.firstIntValue(
      await dbClient!.rawQuery('SELECT COUNT(*) FROM CategoriaProducto'),
    );
    final productoCount = Sqflite.firstIntValue(
      await dbClient.rawQuery('SELECT COUNT(*) FROM Producto'),
    );
    print('Categoria Count: $categoriaCount, Producto Count: $productoCount');
    return categoriaCount == 0 && productoCount == 0;
  }

  Future<void> fillCategoriaBD() async {
    // final List<CategoriaProducto> categorias = [
    //   CategoriaProducto(id: 1, nombre: 'COMIDAS'),
    //   CategoriaProducto(id: 2, nombre: 'BEBIDAS'),
    // ];

    // RepoService<CategoriaProducto> repoService =
    //     RepoService<CategoriaProducto>();
    // for (var categoria in categorias) {
    //   await repoService.guardarLocal(categoria);
    // }
  }

  Future<void> fillProductoBD() async {
    // List<Producto> productos = [
    //   Producto(id: 1, idCategoria: 1, nombre: 'CONO DE PAPAS', precio: '100'),
    //   Producto(
    //       id: 2,
    //       idCategoria: 1,
    //       nombre: 'CONO DE BONELESS (250 GR)',
    //       precio: '150'),
    //   Producto(
    //       id: 3,
    //       idCategoria: 1,
    //       nombre: 'CONO DE PAPAS + BONELESS (CURLY, GAJO O FRANCESA)',
    //       precio: '180'),
    //   Producto(id: 4, idCategoria: 1, nombre: 'PIZZARINO', precio: '50'),
    //   Producto(
    //       id: 5,
    //       idCategoria: 1,
    //       nombre: 'CASCO DE BASEBALL CON PAPAS FRANCESAS',
    //       precio: '120'),
    //   Producto(
    //       id: 6,
    //       idCategoria: 1,
    //       nombre: 'EXTRA 2 DEDOS DE QUESOS Y 2 AROS DE CEBOLLA',
    //       precio: '50'),
    // ];

    // RepoService<Producto> repoService = RepoService<Producto>();
    // for (var producto in productos) {
    //   await repoService.guardarLocal(producto);
    // }
  }
}
